classification
Title: module/ found before module.py when both are in the CWD
Type: behavior Stage:
Components: Library (Lib) Versions: Python 3.3
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: eric.smith Nosy List: cvrebert, eric.smith, python-dev, strombrg
Priority: normal Keywords:

Created on 2012-06-08 23:59 by strombrg, last changed 2012-09-18 19:08 by eric.smith. This issue is now closed.

Messages (2)
msg162552 - (view) Author: Dan Stromberg (strombrg) Date: 2012-06-08 23:59
CPython 3.3a4 appears to find treap/ before treap.py in the CWD.  If I rename treap to treap-dir, all seems well for the code in question:

dstromberg@zareason-limbo6000a /tmp/tt $ mv treap treap-dir

dstromberg@zareason-limbo6000a /tmp/tt $ /usr/local/cpython-3.3/bin/python -c 'import sys; print(sys.path); import treap; t = treap.treap()'
['', '/usr/local/cpython-3.3/lib/python33.zip', '/usr/local/cpython-3.3/lib/python3.3', '/usr/local/cpython-3.3/lib/python3.3/plat-linux', '/usr/local/cpython-3.3/lib/python3.3/lib-dynload', '/usr/local/cpython-3.3/lib/python3.3/site-packages']

dstromberg@zareason-limbo6000a /tmp/tt $ mv treap-dir/ treap

dstromberg@zareason-limbo6000a /tmp/tt $ /usr/local/cpython-3.3/bin/python -c 'import sys; print(sys.path); import treap; t = treap.treap()'
['', '/usr/local/cpython-3.3/lib/python33.zip', '/usr/local/cpython-3.3/lib/python3.3', '/usr/local/cpython-3.3/lib/python3.3/plat-linux', '/usr/local/cpython-3.3/lib/python3.3/lib-dynload', '/usr/local/cpython-3.3/lib/python3.3/site-packages']
Traceback (most recent call last):
  File "<string>", line 1, in <module>
AttributeError: 'module' object has no attribute 'treap'

dstromberg@zareason-limbo6000a /tmp/tt $ ls -l treap/__init__.py
ls: cannot access treap/__init__.py: No such file or directory

dstromberg@zareason-limbo6000a /tmp/tt $ /usr/local/cpython-3.3/bin/python
Python 3.3.0a4 (default, Jun  8 2012, 14:14:41)
[GCC 4.6.1] on linux
Type "help", "copyright", "credits" or "license" for more information.
>>>
dstromberg@zareason-limbo6000a /tmp/tt $
msg163873 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2012-06-24 23:14
New changeset 2051fead1933 by Eric V. Smith in branch 'default':
Fixes issue 15039: namespace packages are no longer imported in preference to modules of the same name.
http://hg.python.org/cpython/rev/2051fead1933
History
Date User Action Args
2012-09-18 19:08:57eric.smithsetstatus: open -> closed
resolution: fixed
2012-06-24 23:14:06python-devsetnosy: + python-dev
messages: + msg163873
2012-06-09 01:08:33eric.smithsetassignee: eric.smith

nosy: + eric.smith
2012-06-09 00:46:23cvrebertsetnosy: + cvrebert
2012-06-08 23:59:02strombrgcreate